BMASIPSession Class Reference
Inheritance diagram for BMASIPSession:
[legend]
Collaboration diagram for BMASIPSession:
[legend]

## Public Member Functions

| BMASIPSession (BMAEPoll &ePoll, BMASIPServer &server)
Public Member Functions inherited from BMASession
| BMASession (BMAEPoll &ePoll, BMATCPServerSocket &server)
virtual void | output (BMASession *session)
void | send ()
void | sendToAll ()
void | sendToAll (BMASessionFilter *filter)
BMATCPServerSocket & | getServer ()
Public Member Functions inherited from BMATCPSocket
| BMATCPSocket (BMAEPoll &ePoll)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.

## Protected Member Functions

void | protocol (std::string data) override
Protected Member Functions inherited from BMASession
void | onConnected () override
| Called when socket is open and ready to communicate. More...
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
void | shutdown ()

## Additional Inherited Members

Public Attributes inherited from BMASession
std::stringstream | out
Public Attributes inherited from BMATCPSocket
BMAIPAddress | ipAddress
Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
std::string | name
std::string | tag
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMASIPSession.h
- /home/barant/Documents/Development/BMASockets/BMASIPSession.cpp